Niebawem minie 2 lata odkąd pojawiła się ostatnia wersja interpretera PHP oznaczona numerkiem 5.2. Od tego czasu producent zaprzestał rozwoju i wsparcia dla tej wersji popularnego języka dla programistów aplikacji webowych.

Informujemy, że rok 2013 będzie rokiem, w którym rozpoczniemy wycofywanie tego interpretera PHP z naszych serwerów. Wkrótce wyślemy do wszystkich użytkowników korzystających z maszyn, na których domyślnie działa wersja PHP 5.2 informacje w jaki sposób mogą sprawdzić czy ich skrypty bez problemu będą działały na wyższej wersji języka.

Wciąż znaczna część naszych Klientów wykorzystuje stosunkowo stare aplikacje, które nie radzą sobie z nowszą wersją PHP, dlatego proces zmiany będzie długotrwały tak aby każdy miał wystarczający czas na to by wprowadzić modyfikacje swoich skryptów. W większości będzie się to wiązało po prostu z wykonaniem aktualizacji oprogramowania na bazie którego działa strona do najnowszej wersji.

Dla tych z Was, którzy nie potrafią tego zrobić samodzielnie podpowiadamy, że można będzie do tego celu wykorzystać oprogramowanie autoinstalatora skryptów jakie jest dostępne na kontach hostingowych (Softaculous, Installatron). Warunkiem jest to, aby autoinstalator obsługiwał wykorzystywany przez was skrypt. W przypadku aplikacji pisanych przez siebie lub powstałych na skutek indywidualnego zlecenia przez podmioty trzecie, wówczas ewentualną aktualizację (gdyby okazało się, że skrypt nie zadziała na wersji PHP 5.3) trzeba będzie przeprowadzić samodzielnie lub zwrócić się o to z prośbą do autora oprogramowania.

Wszystkich z Was, którzy wykorzystują instalowane przez siebie popularne i powszechnie dostępne systemy CMS takie jak Joomla!, Drupal i im podobne zachęcamy do sprawdzenia wersji posiadanych skryptów i przeprowadzenie ich aktualizacji. Takie działanie nie tylko pozwoli wyeliminować ewentualne problemy przy przesiadce na wyższą wersję PHP ale także, co jest równie ważne jeśli nie bardziej, pozwoli wyeliminować luki w powłoce bezpieczeństwa, którymi starsze wersje wielu CMS-ów są niekiedy mocno naszpikowane.

Pod poniższym adresem znajdziecie opis jak zaimportować własną, ręcznie przeprowadzoną instalację skryptu do autoinstalatora Softaculous:
http://o12.pl/panel/knowledgebase.php?action=displayarticle&id=170



23.09.2012





« Wstecz

Powered by WHMCompleteSolution